Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css.common
Interface CSSUserIF

All Superinterfaces:
  java.io.Serializable

public interface CSSUserIF
extends java.io.Serializable

This represents a user in the security platform and the directories.

Except for `getGroupsList()`, the method invocations do not lead to a query to the directory. All other data is statically constructed during the creation of this instance.

Since:
  CSSv2.0

Field Summary
`static java.lang.String` | `LOGIN_NAME` Constant that holds the name of the property for specifying the login name.

Method Summary
`java.lang.String[]` | `getEmailAddress()` Gets the email addresses for this user.
`java.lang.String` | `getFirstName()` Gets the first name.
`java.lang.String[]` | `getGroupsList()` Gets the list of groups to which this user belongs.
`java.lang.String` | `getIdentity()` Gets the identity of this user.
`java.lang.String` | `getLastName()` Gets the last name.
`java.lang.String` | `getToken()` Gets the token for this user.
`java.util.Map` | `getUserInfo()` Gets the user information specific to the provider.
`void` | `setToken(java.lang.String token)` Sets the `token` for this user.

Field Detail

### LOGIN_NAME

    public static final java.lang.String LOGIN_NAME

  Constant that holds the name of the property for specifying the login name.

  The value of this constant is "hyperion.loginName".

  See Also:
    Constant Field Values

Method Detail

### getIdentity

    public java.lang.String getIdentity()

  Gets the identity of this user.

  Returns:
    String

### getEmailAddress

    public java.lang.String[] getEmailAddress()

  Gets the email addresses for this user.

  Returns:
    String[] - empty if there are no email addresses for this user.

### getFirstName

    public java.lang.String getFirstName()

  Gets the first name. If there is a middle name also, then it is appended to the return of this method. Returns an empty String if there is no first name included in the user's full name.

  Returns:
    String

### getLastName

    public java.lang.String getLastName()

  Gets the last name. Returns an empty String if there is no last name included in the user's full name.

  Returns:
    String

### getGroupsList

    public java.lang.String[] getGroupsList()
                                     throws CSSException

  Gets the list of groups to which this user belongs.

  Returns:
    String[] - empty if the user does not belong to any group. This is an array of identities.
  Throws:
    `CSSException`

### getUserInfo

    public java.util.Map getUserInfo()

  Gets the user information specific to the provider.

  The following information can be retrieved from this map:
  1. The provider can return attributes as key-value pairs. This map should contain the key `LOGIN_NAME` and the value should be the login name for the user.
  2. This map should also contain the key `CSSAPIIF.PROVIDER_REQUEST` and the value should be the URL or the domain name of the server where this user entry was looked up (server of reference).
  3. This map should also contain the key `CSSAPIIF.PROVIDER_NAME` and the value should be the name of the provider where the user entry resides as specified in the configuration.
  4. This map should also contain the key `CSSAPIIF.PROVIDER_TYPE` and the value should be the type of the provider where the user entry resides as specified in the configuration.

  Returns:
    Map

### setToken

    public void setToken(java.lang.String token)

  Sets the `token` for this user. The `token` is set by the security platform during the authentication process.

  The token is opaque to the calling applications.

  Parameters:
    `token` - Encrypted string that holds information for a user.

### getToken

    public java.lang.String getToken()

  Gets the token for this user. The token is null if this user has not been authenticated.

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD